package sample;

import javafx.scene.Group;
import javafx.scene.shape.Circle;

public class Ball {
    float x,y,dx,dy,r;
    Circle c;

    Main parent;

    public Ball (float x, float y, float r, Main p) {
        this.x = x;
        this.y = y;
        this.r = r;

        dx = (float)Math.random()*10;
        dy = (float)Math.random()*10;

        c = new Circle(x,y,r);

        parent = p;
    }

    public void move () {
        // verändere Position
        x = x + dx;
        y = y + dy;

        Bat bl = parent.batL;
        //Bat br = parent.batR;

        if (x-r<bl.x+bl.w && y>bl.y && y<bl.y+bl.h) {
            dx = dx * -1;
            // Position zurücksetzen
        }

        if (x<0 || x>parent.width) {
            if (x>parent.width) {parent.lPoints ++;}
            if (x<0) {parent.rPoints ++;}

            x = parent.width/2;
            y = parent.height/2;

            dx = (float)Math.random()*20-10;
            dy = (float)Math.random()*20-10;

            parent.updateScore();
        }
        if (y<0+r || y>parent.height-r) {
            dy = dy * -1;
        }

        c.setCenterX(x);
        c.setCenterY(y);
    }

   public void addTo (Group g) {
        g.getChildren().add(this.c);
   }

}




